gi-atk-2.0.18: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Atk.Structs.TextRange

Contents

- Exported types
- Properties
  - bounds
  - content
  - endOffset
  - startOffset

Description

A structure used to describe a text range.

Synopsis

- newtype TextRange = TextRange (ManagedPtr TextRange)
- newZeroTextRange :: MonadIO m => m TextRange
- noTextRange :: Maybe TextRange
- getTextRangeBounds :: MonadIO m => TextRange -> m TextRectangle
- clearTextRangeContent :: MonadIO m => TextRange -> m ()
- getTextRangeContent :: MonadIO m => TextRange -> m (Maybe Text)
- setTextRangeContent :: MonadIO m => TextRange -> CString -> m ()
- getTextRangeEndOffset :: MonadIO m => TextRange -> m Int32
- setTextRangeEndOffset :: MonadIO m => TextRange -> Int32 -> m ()
- getTextRangeStartOffset :: MonadIO m => TextRange -> m Int32
- setTextRangeStartOffset :: MonadIO m => TextRange -> Int32 -> m ()

# Exported types

newtype TextRange Source #

Memory-managed wrapper type.

Constructors

TextRange (ManagedPtr TextRange) |

Instances

BoxedObject TextRange Source # |
Instance details Defined in GI.Atk.Structs.TextRange Methods boxedType :: TextRange -> IO GType Source #
tag ~ AttrSet => Constructible TextRange tag Source # |
Instance details Defined in GI.Atk.Structs.TextRange Methods new :: MonadIO m => (ManagedPtr TextRange -> TextRange) -> [AttrOp TextRange tag] -> m TextRange Source #

newZeroTextRange :: MonadIO m => m TextRange Source #

Construct a `TextRange` struct initialized to zero.

noTextRange :: Maybe TextRange Source #

A convenience alias for `Nothing` :: `Maybe` `TextRange`.

# Properties

## bounds

A rectangle giving the bounds of the text range

getTextRangeBounds :: MonadIO m => TextRange -> m TextRectangle Source #

Get the value of the “`bounds`” field. When overloading is enabled, this is equivalent to

    get textRange #bounds

## content

The text in the text range

clearTextRangeContent :: MonadIO m => TextRange -> m () Source #

Set the value of the “`content`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #content

getTextRangeContent :: MonadIO m => TextRange -> m (Maybe Text) Source #

Get the value of the “`content`” field. When overloading is enabled, this is equivalent to

    get textRange #content

setTextRangeContent :: MonadIO m => TextRange -> CString -> m () Source #

Set the value of the “`content`” field. When overloading is enabled, this is equivalent to

    set textRange [ #content := value ]

## endOffset

The end offset of a AtkTextRange

getTextRangeEndOffset :: MonadIO m => TextRange -> m Int32 Source #

Get the value of the “`end_offset`” field. When overloading is enabled, this is equivalent to

    get textRange #endOffset

setTextRangeEndOffset :: MonadIO m => TextRange -> Int32 -> m () Source #

Set the value of the “`end_offset`” field. When overloading is enabled, this is equivalent to

    set textRange [ #endOffset := value ]

## startOffset

The start offset of a AtkTextRange

getTextRangeStartOffset :: MonadIO m => TextRange -> m Int32 Source #

Get the value of the “`start_offset`” field. When overloading is enabled, this is equivalent to

    get textRange #startOffset

setTextRangeStartOffset :: MonadIO m => TextRange -> Int32 -> m () Source #

Set the value of the “`start_offset`” field. When overloading is enabled, this is equivalent to

    set textRange [ #startOffset := value ]